diff -Nru arandr-0.1.10/debian/changelog arandr-0.1.10/debian/changelog
--- arandr-0.1.10/debian/changelog	2020-01-17 13:16:21.000000000 -0500
+++ arandr-0.1.10/debian/changelog	2023-01-10 11:19:53.000000000 -0500
@@ -1,7 +1,16 @@
+arandr (0.1.10-1.2) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Fix Python getargspec deprecation preventing startup (Closes: #1028138)
+  * Move python3-docutils from Build-Depends-Indep to Build-Depends to fix
+    FTBFS (Closes: #1021216)
+
+ -- Ryan Kavanagh <rak@debian.org>  Tue, 10 Jan 2023 11:19:53 -0500
+
 arandr (0.1.10-1.1) unstable; urgency=medium
 
   * Non-maintainer upload.
-  * No-change source-only upload to allow testing migration. 
+  * No-change source-only upload to allow testing migration.
 
  -- Boyuan Yang <byang@debian.org>  Fri, 17 Jan 2020 13:16:21 -0500
 
diff -Nru arandr-0.1.10/debian/control arandr-0.1.10/debian/control
--- arandr-0.1.10/debian/control	2019-10-25 06:13:15.000000000 -0400
+++ arandr-0.1.10/debian/control	2023-01-10 11:19:53.000000000 -0500
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Christian M. Amsüss <chrysn@fsfe.org>
 Homepage: http://christian.amsuess.com/tools/arandr/
-Build-Depends: debhelper (>= 10), python3, dh-python
-Build-Depends-Indep: gettext, python3-docutils
+Build-Depends: debhelper (>= 10), python3, dh-python, python3-docutils
+Build-Depends-Indep: gettext
 Standards-Version: 4.4.1
 Vcs-Browser: https://gitlab.com/arandr/arandr/tree/debian
 Vcs-git: https://gitlab.com/arandr/arandr.git -b debian
diff -Nru arandr-0.1.10/debian/patches/0001-Fix-Python-getargspec-deprecation.patch arandr-0.1.10/debian/patches/0001-Fix-Python-getargspec-deprecation.patch
--- arandr-0.1.10/debian/patches/0001-Fix-Python-getargspec-deprecation.patch	1969-12-31 19:00:00.000000000 -0500
+++ arandr-0.1.10/debian/patches/0001-Fix-Python-getargspec-deprecation.patch	2023-01-10 11:19:53.000000000 -0500
@@ -0,0 +1,23 @@
+From: novafacing <rowanbhart@gmail.com>
+Date: Sat, 17 Sep 2022 10:30:20 -0400
+Subject: Fix Python deprecation error preventing startup (Closes: #1028138)
+
+Forwarded: https://gitlab.com/arandr/arandr/-/merge_requests/10
+Author: Rowan Hart <rowanbhart@gmail.com>
+---
+ screenlayout/gui.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/screenlayout/gui.py b/screenlayout/gui.py
+index 275dbdf..bc598cf 100644
+--- a/screenlayout/gui.py
++++ b/screenlayout/gui.py
+@@ -45,7 +45,7 @@ def actioncallback(function):
+ 
+     A first argument called 'self' is passed through.
+     """
+-    argnames = inspect.getargspec(function)[0]
++    argnames = inspect.getfullargspec(function)[0]
+     if argnames[0] == 'self':
+         has_self = True
+         argnames.pop(0)
diff -Nru arandr-0.1.10/debian/patches/series arandr-0.1.10/debian/patches/series
--- arandr-0.1.10/debian/patches/series	1969-12-31 19:00:00.000000000 -0500
+++ arandr-0.1.10/debian/patches/series	2023-01-10 11:19:53.000000000 -0500
@@ -0,0 +1 @@
+0001-Fix-Python-getargspec-deprecation.patch
